%define upstream_name    Bytes-Random-Secure
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cryptographically suitable random bytes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Bytes/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::Random::Seed)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Math::Random::ISAAC)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
the Bytes::Random::Secure manpage provides two interfaces for obtaining
crypt-quality random bytes. The simple interface is built around plain
functions. For greater control over the Random Number Generator's seeding,
there is an Object Oriented interface that provides much more flexibility.

The "functions" interface provides five functions that can be used any time
you need a string (or MIME Base64 representation, or hex-digits
representation, or Quoted Printable representation) of a specific number of
random bytes. There are equivalent methods available via the OO interface.

This module can be a drop-in replacement for the Bytes::Random manpage,
with the primary enhancement of using a much higher quality random number
generator to create the random data. The 'random_bytes' function emulates
the user interface of the Bytes::Random manpage's function by the same
name. But with Bytes::Random::Secure the random number generator comes from
the Math::Random::ISAAC manpage, and is suitable for cryptographic
purposes. The harder problem to solve is how to seed the generator. This
module uses the Crypt::Random::Seed manpage to generate the initial seeds
for Math::Random::ISAAC.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README META.yml Changes META.json
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.290.0-3.mga6
+ Revision: 1022816
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.290.0-2.mga6
+ Revision: 968580
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 0.290.0-1.mga6
+ Revision: 853641
- update to 0.29

* Sun Oct 19 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 790735
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-3.mga5
+ Revision: 743822
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-2.mga5
+ Revision: 683616
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.280.0-1.mga5
+ Revision: 581003
- New version 0.28

* Mon Oct 21 2013 umeabot <umeabot> 0.270.0-2.mga4
+ Revision: 539638
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 sander85 <sander85> 0.270.0-1.mga4
+ Revision: 492544
- update to 0.27

* Tue Jun 25 2013 kharec <kharec> 0.260.0-1.mga4
+ Revision: 446478
- new version 0.26

* Sat Feb 23 2013 kharec <kharec> 0.250.0-1.mga3
+ Revision: 400065
- imported package perl-Bytes-Random-Secure


* Sat Feb 23 2013 cpan2dist 0.25-1mga
- initial mageia release, generated with cpan2dist
